SoVertexAttributeBundle Class Reference
Bundle Classes

The SoVertexAttributeBundle class simplifies vertex attribute handling. More...

`#include <Inventor/bundles/SoVertexAttributeBundle.h>`

Inheritance diagram for SoVertexAttributeBundle:

## Public Member Functions

| SoVertexAttributeBundle (SoAction *action, SbBool forrendering)
| ~SoVertexAttributeBundle ()
void | send (int index) const
SbBool | doAttributes (void) const

## Additional Inherited Members

Protected Member Functions inherited from SoBundle
| SoBundle (SoAction *action)
| ~SoBundle ()
Protected Attributes inherited from SoBundle
SoState * | state
| The state of the current action.

## Detailed Description

The SoVertexAttributeBundle class simplifies vertex attribute handling.

## Constructor & Destructor Documentation

## SoVertexAttributeBundle()

SoVertexAttributeBundle::SoVertexAttributeBundle | ( | SoAction * | action,
|  | SbBool | forrendering )

Constructor.

## ~SoVertexAttributeBundle()

SoVertexAttributeBundle::~SoVertexAttributeBundle | ( |  | ) |

Destructor.

## Member Function Documentation

## send()

void SoVertexAttributeBundle::send | ( | int | index | ) | const

Send the index'th attribute to OpenGL.

The documentation for this class was generated from the following files:

- SoVertexAttributeBundle.h
- SoVertexAttributeBundle.cpp